%def_enable directfb

Name: libcairo
Version: 1.6.4
Release: alt2.M41.1
Epoch: 1

Summary: Multi-platform 2D graphics library
License: LGPL
Group: System/Libraries
URL: http://cairographics.org/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

PreReq: fontconfig >= 2.5.92
Provides: cairo = %version-%release
Obsoletes: cairo <= %version

Source: cairo-%version.tar
Patch: cairo-%version-%release.patch

BuildRequires: fontconfig-devel >= 2.5.92 gtk-doc libXrender-devel libfreetype-devel
BuildRequires: libglitz-devel libpixman-devel libpng-devel
%{?!__buildreqs:%{?!_without_check:%{?!_disable_check:BuildRequires: libpoppler-glib-devel librsvg-devel ghostscript-classic}}}
%if_enabled directfb
BuildRequires: libdirectfb-devel
%endif

%description
Cairo is a vector graphics library with cross-device output support.

%package devel
Summary: Headers for developing programs that will use cairo
Group: Development/C
Requires: %name = %version-%release
Provides: cairo-devel = %version-%release
Obsoletes: cairo-devel <= %version

%description devel
Cairo is a vector graphics library with cross-device output support.
This package contains the headers that programmers will need to develop
applications which will use cairo library.

%prep
%setup -q -n cairo-%version
%patch -p1

%build
touch ChangeLog
%autoreconf
%configure \
	--enable-xlib \
	--enable-glitz \
	--enable-ps \
	--enable-pdf \
	--enable-svg \
	--enable-gtk-doc \
	%{subst_enable directfb} \
	--disable-static
%make_build
%make -C doc/public doc
%{?!__buildreqs:%{?!_without_check:%{?!_disable_check:%make_build -k test}}}

%install
%make DESTDIR=%buildroot install

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%files
%doc AUTHORS NEWS README
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc
%doc %_datadir/gtk-doc/html/cairo/

%changelog
* Fri Jun 20 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.6.4-alt2.M41.1
- build for branch 4.1

* Mon May 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.6.4-alt3
- update lcd filtering patch from ubuntu

* Thu Apr 17 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.6.4-alt2
- rename ABI interface LIBCAIRO_1.6 to CAIRO_1.6

* Wed Apr 16 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.6.4-alt1
- 1.6.4
- Applied LCD subpixel filtering patch (close #14361)

* Mon Jan 21 2008 Alexey Tourbin <at@altlinux.ru> 1:1.4.14-alt1
- 1.4.12-9-g1ea07fd -> 1.4.14

* Thu Dec 27 2007 Alexey Tourbin <at@altlinux.ru> 1:1.4.12-alt1
- 1.4.10 -> 1.4.12-9-g1ea07fd (fixes CVE-2007-5503)
- build with libglitz (requested by Alexey Gladkov)

* Sun Jul 22 2007 Alexey Tourbin <at@altlinux.ru> 1:1.4.10-alt1
- rebased from 1.2 to 1.4 branch
- changed src.rpm packaging to keep upstream tarball

* Tue Nov 14 2006 Alexey Tourbin <at@altlinux.ru> 1:1.2.6-alt1
- 1.2.4-ga5f068e -> 1.2.6 release

* Sat Sep 30 2006 Alexey Tourbin <at@altlinux.ru> 1:1.2.5-alt0.1
- this is the first build from git repository, which I cloned from
  git://git.cairographics.org/git/cairo; I started off with 1.2.4 release
  and applied all my changes to the source tree (this is master branch);
  then I merged in the changes from current 1.2 brnach (1.2.4-ga5f068e)
  and changed rpm package version according to the changes
- enabled test suite
- added CAIRO_DIRECTFB ABI for cairo_directfb_surface_create()

* Thu Sep 07 2006 Alexey Tourbin <at@altlinux.ru> 1:1.2.4-alt2
- enabled directfb backend

* Mon Aug 21 2006 Alexey Tourbin <at@altlinux.ru> 1:1.2.4-alt1
- 1.2.2 -> 1.2.4
- no longer provides/obsoletes libpixman

* Thu Aug 10 2006 Alexey Tourbin <at@altlinux.ru> 1:1.2.2-alt1
- 1.2.0 -> 1.2.2
- renamed CAIRO_1.2.0 ABI to CAIRO_1.2

* Wed Aug 02 2006 Alexey Tourbin <at@altlinux.ru> 1:1.2.0-alt3
- upstream fix for size-zero glyphs (#9830)

* Mon Jul 10 2006 Alexey Tourbin <at@altlinux.ru> 1:1.2.0-alt2
- fixed set_dpi.patch

* Sun Jul 02 2006 Alexey Tourbin <at@altlinux.ru> 1:1.2.0-alt1
- 1.0.4 -> 1.2.0
- restored cairo_ps_surface_set_dpi() and cairo_pdf_surface_set_dpi()
  as aliases to cairo_surface_set_fallback_resolution() to preserve
  binary compatibility with libcairomm etc.
- introduced CAIRO_1.2.0 ABI
- packaged gtk-doc files

* Mon Apr 24 2006 Alexey Tourbin <at@altlinux.ru> 1:1.0.4-alt2
- urgency=high (for 1:1.0.4-alt1): use --enable-pdf and --enable-ps
  again to preserve ABI; also provide cairo_glitz_surface_create() stub
- restricted the list of symbols exported by the library

* Mon Apr 17 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.4-alt1
- 1.0.4

* Mon Feb 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.1.1-alt0.1
- CVS snapshot 20060213

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.2-alt3.1
- Rebuilt for new pkg-config dependencies.

* Thu Jan 19 2006 Dmitry V. Levin <ldv@altlinux.org> 1.0.2-alt3
- Backported upstream fix for text relocations.

* Tue Jan 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.2-alt2
- added verify_elf_method textrel=relaxed

* Tue Oct 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Fri Aug 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Wed Aug 10 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.9.0-alt1
- 0.9.0

* Sat Jul 23 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.5.2-alt1
- 0.5.2

* Fri May 13 2005 Kachalov Anton <mouse@altlinux.ru> 0.4.0-alt1
- 0.4.0

* Sat Feb 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.3.0-alt1
- 0.3.0

* Wed Aug 25 2004 Kachalov Anton <mouse@altlinux.ru> 0.1.23-alt2
- added missed requires to libglitz-devel

* Thu Jul 08 2004 Kachalov Anton <mouse@altlinux.ru> 0.1.23-alt1
- first build for Sisyphus

